#ifndef I2CMASTERUTILS_H
#define I2CMASTERUTILS_H

#include <Arduino.h>
#include <Wire.h>

class I2CMasterUtils {
public:
    static void scanI2C(Stream &output = Serial);
    static void changeSlaveAddress(uint8_t oldAddr, uint8_t newAddr, Stream &output = Serial);
    static bool parseChangeAddressCommand(const String &input, uint8_t &oldAddr, uint8_t &newAddr);
};

#endif
